<?php
include('../conf.php');
include('../head.php');
if(!USER_LOGGED) { header ("Location: /login"); exit; }
?>
<!doctype html>
<html>
<head>
<title>Вывод средств</title>
<meta charset="utf-8">
<meta name="keywords" content="вывод, выплата,заказ" />
<meta name="description" content="Вывод средств" />
<link rel="shortcut icon" href="../images/favicon.ico">
<?php include('../conf_styles.php'); ?>
</head>
<body>
<?php include('../conf_navbar.php'); include('conf_menu.php'); ?>
<div class="container"> 
<div class="one_full">
<center>
<h2>Вывод средств</h2>
На Вашем балансе: <?php echo $bal['bal']; ?> руб.<br /><br />
<input type="text" id="sum" placeholder="Сумма к выводу, руб." style="padding-left:5px" />
<br /><br />
<a><input id="submit" type="submit" style="border: 1px solid #4682B4; min-width:181px; background:#4682B4;color: #fff;cursor:pointer" value="Вывести" class="input" /></a><br /><br />
Минимальная сумма к выводу - 10 рублей.<br />При выводе указанная вами сумма списывается с баланса аккаунта и ожидает обработки.<br />Вы можете вернуть деньги обратно, отменив выплату.
<br />
<div id="res1dfr78"></div>
<div class="ptable four">
<div class="row main">
<div class="date"></div>
<div class="date">Дата запроса</div>
<div class="tarif">Кошелёк</div>
<div class="stat" style="width:200px;">Сумма</div>
<div class="nachi">Статус</div>
</div>
<?php
$st = "SELECT id,sum,pa,dt,st FROM `t_out` WHERE usr = '$u_id' ORDER BY id DESC";
$qt = mysqli_query($connect_db, $st);
$ht = mysqli_num_rows($qt);
if ($ht > 0) {
while($row = mysqli_fetch_array($qt)) {
?>
<form id="del_<?php echo $row["id"]; ?>" method="post" action="../actions/out_del.php" style="display:none"><input type="hidden" name="id" value="<?php echo $row["id"]; ?>" /></form>
<div class="row"><div class="date"></div>
<div class="date"><?php echo date("d.m.y H:i",$row['dt']); ?></div>
<div class="tarif"><?php echo $row["pa"]; ?></div>
<div class="stat" style="width:200px;"><?php echo $row["sum"]; ?> руб.</div>
<div class="nachi"><?php if ($row["st"] == 0) { ?>Ожидание [<a href="javascript:with(document.getElementById('del_<?php echo $row["id"]; ?>')){ submit(); }">Отменить</a>]<?php } else { echo '<font color="green">Выплачено</font>'; } ?></div></div>
<?php } } else { echo '<div class="row"><div class="nachi" style="width:100%;">Нет заявок на вывод</div></div>'; } ?>
</div>
</center></div>
</div>
<?php include('../conf_footer.php'); ?>
<script type='text/javascript'>
$(document).ready(function () {
$('#sum').keyup(function() {
var $th = $(this);
$th.val( $th.val().replace(/[^0-9\.]/g, function(){ return ''; }) );
});
});
$(function() {
$('#submit').click(function(){
var sum = $('#sum').val();
$.ajax({
type: 'POST',
url: '../actions/out.php',
data: {'sum': sum},
cache: false,
success: function(result){
if (result == '0') {
new_notification('Вы не указали сумму к выводу', 'error');
}
if (result == '1') {
new_notification('Успешно', 'success'); $(location).attr('href','/cabinet/out');
}
if (result == '2') {
new_notification('Минимальная сумма к выводу - 10 рублей', 'error');
}
if (result == '3') {
new_notification('На балансе Вашего аккаунта не хватает средств', 'error');
}
if (result == '4') {
new_notification('Баланс Вашего аккаунта менее 10 рублей', 'error');
}
if (result == '5') {
new_notification('Вы не авторизованы', 'error');
}
if (result == '6') {
new_notification('Ошибка', 'error');
}
}
});
});
});
</script>
</body>
</html>