-- MySQL dump 10.14  Distrib 5.5.43-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: user35_db
-- ------------------------------------------------------
-- Server version	5.5.43-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `t_data`
--

DROP TABLE IF EXISTS `t_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_data` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `bal` decimal(10,2) NOT NULL COMMENT 'Баланс системы',
  `toref` decimal(10,2) NOT NULL COMMENT 'Заработано на рефералах',
  `shop` varchar(15) NOT NULL COMMENT 'id магазина',
  `ke` varchar(50) NOT NULL COMMENT 'Секретный ключ',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_data`
--

LOCK TABLES `t_data` WRITE;
/*!40000 ALTER TABLE `t_data` DISABLE KEYS */;
INSERT INTO `t_data` VALUES (1,0.00,0.00,'64837695','kjkszopf');
/*!40000 ALTER TABLE `t_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_dep`
--

DROP TABLE IF EXISTS `t_dep`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_dep` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `sum` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'Сумма вклада',
  `sume` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'Сумма к получению',
  `ref` int(11) NOT NULL COMMENT 'Реферер',
  `pref` int(11) NOT NULL COMMENT 'Реферер реферера',
  `refs` decimal(10,2) DEFAULT NULL COMMENT 'Сума рефереру',
  `prefs` decimal(10,2) DEFAULT NULL COMMENT 'Сумма рефереру реферера',
  `proc` varchar(4) NOT NULL,
  `st` int(1) NOT NULL COMMENT '0-ожидание,1-принято',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=75 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_dep`
--

LOCK TABLES `t_dep` WRITE;
/*!40000 ALTER TABLE `t_dep` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_dep` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_in`
--

DROP TABLE IF EXISTS `t_in`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_in` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `sum` decimal(10,2) NOT NULL,
  `ba` varchar(20) NOT NULL COMMENT 'Транзакция',
  `st` int(2) NOT NULL,
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=69 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_in`
--

LOCK TABLES `t_in` WRITE;
/*!40000 ALTER TABLE `t_in` DISABLE KEYS */;
INSERT INTO `t_in` VALUES (68,369,100.00,'369_1433436561',0,1433436561),(67,301,2.00,'301_1433434327',1,1433434327),(66,301,1.00,'301_1433434267',1,1433434267);
/*!40000 ALTER TABLE `t_in` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_login`
--

DROP TABLE IF EXISTS `t_login`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(15) NOT NULL,
  `c` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_login`
--

LOCK TABLES `t_login` WRITE;
/*!40000 ALTER TABLE `t_login` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_login` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_news`
--

DROP TABLE IF EXISTS `t_news`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ti` varchar(500) NOT NULL,
  `msg` varchar(20000) NOT NULL,
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_news`
--

LOCK TABLES `t_news` WRITE;
/*!40000 ALTER TABLE `t_news` DISABLE KEYS */;
INSERT INTO `t_news` VALUES (3,'Старт проекта','Здравствуйте, уважаемые пользователи проекта MyInvest. Мы стартовали и гарантируем вам стабильные выплаты и качественную работу. Пожалуйста, оставляйте отзывы о нашем проекте в соответствующем разделе.',1431505939),(4,'Обновление системы','Теперь Вы можете получать  уведомления об ответе технической поддержки на свой E-mail. Соответствующие настройки доступны в профиле.',1432044546);
/*!40000 ALTER TABLE `t_news` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_online`
--

DROP TABLE IF EXISTS `t_online`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_online` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `last` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1861 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_online`
--

LOCK TABLES `t_online` WRITE;
/*!40000 ALTER TABLE `t_online` DISABLE KEYS */;
INSERT INTO `t_online` VALUES (1856,301,'2171187919',1433436522),(1860,369,'8923623659',1433436556);
/*!40000 ALTER TABLE `t_online` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_out`
--

DROP TABLE IF EXISTS `t_out`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_out` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `sum` decimal(10,2) NOT NULL,
  `pa` varchar(15) NOT NULL COMMENT 'Кошелёк',
  `dt` int(11) NOT NULL,
  `st` int(2) NOT NULL COMMENT '0-ожид,1-ок,2-отмена',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_out`
--

LOCK TABLES `t_out` WRITE;
/*!40000 ALTER TABLE `t_out` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_out` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_rev`
--

DROP TABLE IF EXISTS `t_rev`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_rev` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `msg` varchar(20000) NOT NULL,
  `dt` int(11) NOT NULL,
  `st` int(2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_rev`
--

LOCK TABLES `t_rev` WRITE;
/*!40000 ALTER TABLE `t_rev` DISABLE KEYS */;
INSERT INTO `t_rev` VALUES (3,318,'Отличный сайт, не заезженный бесплатный движок, сразу видно старания разработчиков, направленные на максимальное удобство. Будем работать!',1431406168,1),(9,301,'123',1433435724,1);
/*!40000 ALTER TABLE `t_rev` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_ticket_msg`
--

DROP TABLE IF EXISTS `t_ticket_msg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_ticket_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tid` int(11) NOT NULL,
  `msg` varchar(20000) NOT NULL,
  `frm` int(1) NOT NULL DEFAULT '0' COMMENT '0 - user, 1- admin',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=40 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_ticket_msg`
--

LOCK TABLES `t_ticket_msg` WRITE;
/*!40000 ALTER TABLE `t_ticket_msg` DISABLE KEYS */;
INSERT INTO `t_ticket_msg` VALUES (39,18,'2',0,1433435541);
/*!40000 ALTER TABLE `t_ticket_msg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_ticket_name`
--

DROP TABLE IF EXISTS `t_ticket_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_ticket_name` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `theme` varchar(10000) NOT NULL,
  `dt` int(11) NOT NULL,
  `stu` int(1) NOT NULL DEFAULT '0',
  `sta` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_ticket_name`
--

LOCK TABLES `t_ticket_name` WRITE;
/*!40000 ALTER TABLE `t_ticket_name` DISABLE KEYS */;
INSERT INTO `t_ticket_name` VALUES (18,301,'1',1433435541,0,0);
/*!40000 ALTER TABLE `t_ticket_name` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_users`
--

DROP TABLE IF EXISTS `t_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_users` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `log` varchar(50) DEFAULT NULL,
  `pas` varchar(20) NOT NULL,
  `ref` int(10) NOT NULL,
  `pref` varchar(40000) NOT NULL DEFAULT '0' COMMENT 'Рефералы 2го уровня',
  `toref` decimal(10,2) NOT NULL COMMENT 'Отдано рефереру',
  `topref` decimal(10,2) NOT NULL COMMENT 'Отдано рефереру реферера',
  `allin` decimal(10,2) NOT NULL COMMENT 'Всего вложено',
  `bal` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'Баланс',
  `pa` varchar(20) NOT NULL,
  `dt` int(11) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `last` int(11) NOT NULL,
  `em` varchar(100) NOT NULL,
  `tm` int(2) NOT NULL DEFAULT '1' COMMENT 'Уведомления на E-mail',
  `stm` int(2) NOT NULL DEFAULT '1' COMMENT 'Уведомления об ответе',
  `bn` int(1) NOT NULL DEFAULT '0',
  `reas` int(2) NOT NULL COMMENT 'Причина бана',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_users`
--

LOCK TABLES `t_users` WRITE;
/*!40000 ALTER TABLE `t_users` DISABLE KEYS */;
INSERT INTO `t_users` VALUES (1,'test','test',0,'0',0.00,0.00,0.00,0.00,'P12345678',1431020687,'0.0.0.0',1433435623,'admin@mail.ru',1,1,0,0);
/*!40000 ALTER TABLE `t_users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
