<?php
include('conf.php');
include('head.php');
if(USER_LOGGED) { header ("Location: /cabinet/"); exit; }
?>
<!doctype html>
<html>
<head>
<title>Регистрация на проекте Живая очередь</title>
<meta charset="utf-8">
<meta name="keywords" content="регистрация" />
<meta name="description" content="Регистрация на проекте Живая очередь" />
<link rel="shortcut icon" href="images/favicon.ico">
<?php include('conf_styles.php'); ?>
</head>
<body>
<?php include('conf_navbar.php'); ?>
<div class="clearfix"></div>
<div class="page_title">
<div class="container">
<div class="title">
<div class="container"> 
<table width="100%">
<tr>
<div class="mneoil">
<h1>Регистрация</h1>
</div>
</div>
</tr>
</table>
</div>
</div>
</div>
</div>
<div class="clearfix mar_top6"></div>
<div class="container"> 
<div class="one_full">
<div class="address-info2">
<h2>Регистрация нового пользователя</h2><br>
<div class="form-group">
<div class="input-group">
<span class="input-group-addon"><img src="images/11.png" /></span>
<input class="form-control" placeholder="Логин пользователя" id="u_login" type="text" value="">
</div>
</div>
<div class="form-group">
<div class="input-group">
<span class="input-group-addon"><img src="images/22.png" /></span>
<input class="form-control" placeholder="Пароль пользователя" id="u_pass" type="password" value="">
</div>
</div>
<div class="form-group">
<div class="input-group">
<span class="input-group-addon"><img src="images/33.png" /></span>
<input class="form-control" placeholder="Почта пользователя (e-mail)" id="u_mail" type="text" value="">
</div>
</div>
<div class="form-group">
<div class="input-group">
<span class="input-group-addon"><img src="images/44.png" /></span>
<input class="form-control" placeholder="Payeer-кошелёк с буквой P" id="u_payeer" type="text" value="">
</div>
</div>
<br />
<center>
<label class="checkbox"><input type="checkbox" id="oferta" />Подтверждаю, что я прочитал(а) Публичную оферту.</label>
</center>
<div class="divider_line" style="margin-bottom:10px;"></div> 
<center><input value="Регистрация" class="buton" type="submit" id="submit" /></center>
<center>
<a style="background: #42749e; color: #FFF; padding: 0px 24px; height: 45px; line-height: 45px; border-radius: 3px; font-weight: normal; border: medium none; cursor: pointer; font-size: 15px;" href="/login">Уже есть аккаунт?</a>
</center>
</div>
</div>
</div>
<div class="clearfix mar_top6"></div>
<?php include('conf_footer.php'); ?>
<script type='text/javascript'>
$(function() {
$('#submit').click(function(){
var oferta = $('#oferta').attr('checked');
var login = $('#u_login').val();
var pass = $('#u_pass').val();
var mail = $('#u_mail').val();
var payeer = $('#u_payeer').val();
$.ajax({
type: 'POST',
url: 'actions/reg.php',
data: {'oferta': oferta, 'login': login, 'pass': pass, 'mail': mail, 'payeer': payeer},
cache: false,
success: function(result){
if (result == 'offer') {
new_notification('Вы не согласились с публичной офертой', 'error');
}
if (result == 'regged') {
new_notification('Данный логин уже зарегистрирован', 'error');
}
if (result == 'lsmall') {
new_notification('Логин меньше 3-х символов', 'error');
}
if (result == 'psmall') {
new_notification('Пароль меньше 3-х символов', 'error');
}
if (result == 'mail') {
new_notification('Введён неверный E-mail', 'error');
}
if (result == 'payeer') {
new_notification('Неверный номер Payeer кошелька', 'error');
}
if (result == 'error') {
new_notification('Неизвестная ошибка', 'error');
}
if (result == '1') {
new_notification('Успешно', 'success');
$.ajax({
type: 'POST',
url: 'actions/log.php',
data: {'login': login, 'pass': pass},
cache: false,
success: function(result){
if (result == '0') {
new_notification('Войти автоматически не удалось. Попробуйте войти на странице авторизации', 'error');
}
if (result == '1') {
$(location).attr('href','/cabinet/');
}
if (result == '2') {
new_notification('Попробуйте войти позднее', 'error');
}
if (result == '3') {
new_notification('Войти автоматически не удалось. Попробуйте войти на странице авторизации', 'error');
}
if (result == '4') {
new_notification('Вы уже вошли', 'error');
}
}
});
}
}
});
});
});
</script>
</table>
</body>
</html>